Bug 1000806 - VMs search option (UI). doesn't work. Getting SQL error.
VMs search option (UI). doesn't work. Getting SQL error.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
Unspecified Unspecified
high Severity high
: ---
: 3.3.0
Assigned To: Shahar Havivi
Artyom
virt
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-25 10:10 EDT by Leonid Natapov
Modified: 2015-09-22 09 EDT (History)
7 users (show)

See Also:
Fixed In Version: is14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:17:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine log (745.77 KB, text/plain)
2013-08-25 11:01 EDT, Leonid Natapov
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18646 None None None Never

  None (edit)
Description Leonid Natapov 2013-08-25 10:10:53 EDT
Description of problem:
VMs search option (UI). doesn't work. Getting SQL error.

In UI trying to find a VM among 100 Vms. Giving its name in search field does nothing. In engine log got the following error:

2013-08-25 17:05:55,586 ERROR [org.ovirt.engine.core.bll.SearchQuery] (ajp-/127.0.0.1:8702-6) Query SearchQuery failed. Exception message is StatementCallback; bad SQL grammar [SELECT * FROM (SELECT * FROM vms WHERE ( vm_guid IN (SELECT vms_with_tags.vm_guid FROM  vms_with_tags   WHERE  (  vms_with_tags.guest_cur_user_name LIKE '%clone%' OR  vms_with_tags.vm_name LIKE '%clone%' OR  vms_with_tags.quota_name LIKE '%clone%' OR  vms_with_tags.vm_pool_name LIKE '%clone%' OR  vms_with_tags.vm_ip LIKE '%clone%' OR  vms_with_tags.vm_host LIKE '%clone%' OR  vms_with_tags.vm_os LIKE '%clone%' OR  vms_with_tags.run_on_vds_name LIKE '%clone%' OR  vms_with_tags.storage_pool_name LIKE '%clone%' OR  vms_with_tags.vds_group_name LIKE '%clone%' OR  vms_with_tags.vm_comment LIKE '%clone%' OR  vms_with_tags.vm_domain LIKE '%clone%' OR  vms_with_tags.tag_name LIKE '%clone%' ) ))  ORDER BY vm_name ASC ) as T1 OFFSET (1 -1) LIMIT 100]; nested exception is org.postgresql.util.PSQLException: ERROR: operator does not exist: integer ~~ unknown
  Hint: No operator matches the given name and argument type(s). You might need to add explicit type casts.
  Position: 399


Other searches like stprage,DC,cluster,host - works fine. The problem only in VMs. Reproduced on several setups.




How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 Leonid Natapov 2013-08-25 11:01:53 EDT
Created attachment 790098 [details]
engine log

1.create several VMs.
2.Go to Vms tab.
3.Try to search specific VM by typing its name in a search field a
Comment 5 Shahar Havivi 2013-08-28 07:02:04 EDT
posted at: http://gerrit.ovirt.org/#/c/18646/
Comment 7 Artyom 2013-09-24 08:45:05 EDT
verified on is15
Comment 8 Itamar Heim 2014-01-21 17:17:23 EST
Closing - RHEV 3.3 Released
Comment 9 Itamar Heim 2014-01-21 17:24:00 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.